# Memberships Memberships ## Creates a new membership record that does not already exist. - [POST /memberships/{tenantId}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/memberships/createmembership.md): This method will auto-generate an ID and create a new membership. If an ID is specified for the membership, an error will be thrown. ## Execute Batch Operations - [POST /memberships/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/memberships/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified committee_id - [GET /memberships/{tenantId}/committee/{committee_id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/memberships/listmembershipsbycommitteeid.md): Returns a list of records with the specified committee_id ## Returns a list of records with the specified contact_id - [GET /memberships/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/memberships/listmembershipsbycontactid.md): Returns a list of records with the specified contact_id ## Returns a membership from the system by its ID. - [DELETE /memberships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/memberships/deletemembership.md): This method will delete a membership with the specified ID. ## Returns a membership from the system by its ID. - [GET /memberships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/memberships/getmembership.md): This method will look up a membership by the specified ID and return it back. ## Partially updates a membership with the specified ID. - [PATCH /memberships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/memberships/patchmembership.md): This method will patch an existing membership with the specified ID, using the HTTP PATCH specification. ## Updates a membership with the specified ID. - [PUT /memberships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/memberships/updatemembership.md): This method will update an existing membership with the specified ID.